> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search



## OpenAPI

````yaml /openapi.json get /admin/api/search
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/search:
    get:
      tags:
        - Admin Api
      summary: Search
      operationId: AdminApiController_search
      parameters:
        - name: q
          required: true
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 200
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminSearchResponseDto'
components:
  schemas:
    AdminSearchResponseDto:
      type: object
      properties:
        people:
          type: array
          items:
            $ref: '#/components/schemas/AdminSearchPersonDto'
        workspaces:
          type: array
          items:
            $ref: '#/components/schemas/AdminSearchWorkspaceDto'
      required:
        - people
        - workspaces
    AdminSearchPersonDto:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        name:
          type: string
          nullable: true
      required:
        - id
        - email
        - name
    AdminSearchWorkspaceDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        ownerEmail:
          type: string
          nullable: true
      required:
        - id
        - name
        - ownerEmail

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.